Overview | Package | Class | Tree | Deprecated | Index | Help
| oracle eWay API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.oracleadapter.base
Class OracleInboundProvider

    java.lang.Object
      com.stc.connector.framework.eway.AbstractInboundProvider
          com.stc.connector.oracleadapter.base.OracleInboundProvider

All Implemented Interfaces:
  com.stc.connector.framework.eway.InboundProvider

    public class OracleInboundProvider

extends com.stc.connector.framework.eway.AbstractInboundProvider

The provider for the Oracle specific DB inbound connection

Version:
  5.1
Author:
  Andy Schaefer

Field Summary

Fields inherited from class com.stc.connector.framework.eway.AbstractInboundProvider
`mMessages`

Constructor Summary
`OracleInboundProvider()`

Method Summary
`java.lang.Class` | `getListenerClass()`
`void` | `init(com.stc.connector.framework.eway.DBActivationSpecExt aActivationSpec)`
`void` | `sendMessage(javax.resource.spi.endpoint.MessageEndpoint aEndpoint, java.util.HashMap aMessage)`

Methods inherited from class com.stc.connector.framework.eway.AbstractInboundProvider
`getDriverClassName, getMonitor, getPassword, getPollingPeriod, getSQLStatement, getURL, getUserName, initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OracleInboundProvider

    public OracleInboundProvider()

Method Detail

### init

    public void init(com.stc.connector.framework.eway.DBActivationSpecExt aActivationSpec)

### getListenerClass

    public java.lang.Class getListenerClass()

### sendMessage

    public void sendMessage(javax.resource.spi.endpoint.MessageEndpoint aEndpoint,
                            java.util.HashMap aMessage)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| oracle eWay API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD